## ia32-libs-tools 11ubuntu1

=== debian/changelog ===
ia32-libs-tools (11ubuntu1) jaunty; urgency=low

  * debian/rules: changed content of binary-undep to binary-arch target i
    (LP: #337589)
  * debian/control: changed architecture of ia32-libs-tools and ia32-archive 
    to amd64 ia64

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Wed, 04 Mar 2009 05:21:32 +0000

ia32-libs-tools (11) unstable; urgency=low

  * ia32-apt-get is now functional.
  * fetch: Use $HOME/.ia32-libs-tools/apt as APTDIR.
  * ia32-archive link $HOME/.ia32-libs-tools/apt to var.
  * apt-update: Fix bug when a *_Sources.gz doesn't exists yet.
  * Always build amd64 and ia64 debs for now.
  * apt-get.in: Fix for change mangle usage.
  * dpkg-deb.in: Add mangling with --fsys-tarfile.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Mon, 19 May 2008 12:32:44 +0200

ia32-libs-tools (10) unstable; urgency=low

  * apt-update: switch wget to timestamping mode. -c never deletes the
    old file.
  * ia32-archive: Add depends on wget.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Wed, 14 May 2008 02:03:17 +0200

ia32-libs-tools (9) unstable; urgency=low

  * apt-update: fix version striping to ~N scheme.
  * apt-update: fix packages.list grep pattern
  * apt-update: fix non-root use detection
  * apt-update: Check binary version matches expected source version
  * ia32-archive: default to building all known packages.
  * rename.list: Add xaw3d*

 -- Goswin von Brederlow <goswin-v-b@web.de>  Mon, 12 May 2008 23:30:49 +0200

ia32-libs-tools (8) unstable; urgency=low

  * Add ia32-apt-get package.
  * Add mangle binary to ia32-libs-tools.
    - packag becomes arch: any
    - move scripts to /usr/lib/ia32-libs-tools/
    - replace rename with mangle --rename
    - Prime arch_all.list on install.
    - Add apt-get hook to refresh arch_all.list
  * Only use ia32-libs team as Uploaders.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Tue, 29 Apr 2008 18:24:57 +0200

ia32-libs-tools (7) unstable; urgency=low

  * apt-update: fix bug on version numbers containing +.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Mon, 28 Apr 2008 19:54:30 +0200

ia32-libs-tools (6) unstable; urgency=low

  * Add ia32-archive package
  * create-all: use --no-tgz-check instead of 'yes |'

 -- Goswin von Brederlow <goswin-v-b@web.de>  Mon, 28 Apr 2008 02:56:32 +0200

ia32-libs-tools (5) unstable; urgency=low

  * Add packages for mplayer.
  * rename: rename tslib -> ia32-tslib

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sat, 26 Apr 2008 13:32:55 +0200

ia32-libs-tools (4) unstable; urgency=low

  * Update replaces to ia32-libs (<= 2.4) and ia32-libs-gtk (<= 2.2)
  * Remove support for lib/subdir/ and usr/lib/subdir/.
    Use hook if they need to stay.
  * Remove manpages, include files, binaries and locales if package gets
    renamed.
  * Add all packages present in ia32-libs and ia32-libs-gtk.
  * Update hooks: libc6 libsasl2-2 libsane-extras libssl0.9.8 libgphoto2-2
                  libgphoto2-port0 libsane.
  * Fix bug in fetch script triggered by out-of-sync mirror
    (add --only-source when fetching source).
  * rename: libgail-common -> ia32-libgail-common
            odbcinst1debian1 -> ia32-odbcinst1debian1
            unixodbc -> ia32-unixodbc
  * convert: Add support for "libfoo 1 A, B" in shlibs files.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Thu, 17 Apr 2008 17:41:57 +0200

ia32-libs-tools (3) unstable; urgency=low

  * convert: Fix mangling the Source field for when it doesn't exist.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Thu, 17 Apr 2008 11:58:29 +0200

ia32-libs-tools (2) unstable; urgency=low

  * The wine all you want release.
  * Add missing g to sed calls in debian/rules.
  * Add support for binary packages to convert.
  * Add support for lib/subdir/ and usr/lib/subdir/.
  * Don't rename libwine*.
    + They have no 64bit counterpart that conflicts, can't depend on that.
    + Most are just plugins anyway.
  * Add hooks for wine and depends.
  * Add wine and depends to packages list.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Wed, 16 Apr 2008 20:05:50 +0200

ia32-libs-tools (1) unstable; urgency=low

  * Add missing depends on lsb-release.
  * Spell checking and clearer wording.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Wed, 16 Apr 2008 17:05:36 +0200

ia32-libs-tools (0.3) unstable; urgency=low

  * Add Uploaders to generated debian/control.
  * Make packages binNMU-able.
    + Create new entry with new version in generated debian/changelog.
    + Version consists of <deb version>+<ia32-libs-tools version>[+b<binNMU>].
  * Bump standards version for generated debian/control.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Wed, 16 Apr 2008 14:17:41 +0200

ia32-libs-tools (0.2) unstable; urgency=low

  * Fix typo alas-lib -> alsa-lib.
  * Add version info to generated changelog entries.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Tue, 15 Apr 2008 11:56:41 +0200

ia32-libs-tools (0.1) unstable; urgency=low

  * Initial release
  * Builds all ia64 only packages now

 -- Goswin von Brederlow <goswin-v-b@web.de>  Tue,  5 Feb 2008 10:06:03 +0100
