=== debian/control ===
Source: ia32-libs-tools
Section: devel
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>, Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 5), dctrl-tools | grep-dctrl
Standards-Version: 3.7.3

Package: ia32-libs-tools
Architecture: amd64 ia64
Depends: ${shlibs:Depends}, dctrl-tools | grep-dctrl, aptitude, devscripts, build-essential, lsb-release
Description: Tools for converting i386 debs for amd64 and ia64
 On amd64 and ia64 the kernel is capable of executing i386
 binaries. For that to work with dynamically linked binaries the
 required 32bit libraries need to be available as well. This package
 contains tools to convert native i386 binary packages for use under
 amd64 or ia64.

Package: ia32-archive
Architecture: amd64 ia64
Depends: adduser, dctrl-tools | grep-dctrl, reprepro, ia32-libs-tools, wget
Description: Create a local archive of converted i386 debs for amd64 and ia64
 On amd64 and ia64 the kernel is capable of executing i386
 binaries. For that to work with dynamically linked binaries the
 required 32bit libraries need to be available as well. This package
 contains the infrastructure to maintain a local archive of converted
 packages that will automatically track a source repository.

Package: ia32-apt-get
Architecture: amd64 ia64
Depends: ${shlibs:Depends}, ia32-libs-tools
Description: Apt-get and dpkg wrapper for on-the-fly ia32-libs conversion
 On amd64 and ia64 the kernel is capable of executing i386
 binaries. For that to work with dynamically linked binaries the
 required 32bit libraries need to be available as well. This package
 contains wrappers for apt-get and dpkg that will enable you to install
 i386 packages and convert them as they are being installed.
